Bug 976827 - Description text area in General properties tab under Alerts -> Definition is not getting set to blank one it has been edited. Instead it displays the previous value that was stored
Description text area in General properties tab under Alerts -> Definition is...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring - Alerts (Show other bugs)
JON 3.2
Unspecified Unspecified
medium Severity low
: Alpha-x
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 10:53 EDT by Varun Khurana
Modified: 2014-01-02 15:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:37:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Varun Khurana 2013-06-21 10:53:27 EDT
Description of problem:
Description text area in General properties tab under RHQ Storage Nodes -> CassandraJVM -> Memory Subsystem -> Alerts -> Definition is not getting set to blank one it has been edited. Instead it displays the previous value that was stored before setting it to blank.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Go to  General properties tab under RHQ Storage Nodes -> CassandraJVM -> Memory Subsystem -> Alerts -> Definition
2. Click on any Alert definition. 
3. Click on Edit  button.
4. Change the value in 'Description' text area to some value. Click on Save.
5. Click on Edit button again. Change the value in 'Description' text area to blank.

Actual results:
It shows the previous value instead of blank in 'Description' text area

Expected results:
It should display blank in 'Description' text area.

Additional info:
Comment 1 Charles Crouch 2013-07-01 15:51:39 EDT
Per 7/1 BZ triage: target jon32

Jirka
If you *blank* out the description of an alert, we dont persist that empty field, instead the old value is maintained. If you edit the decription to have a new value, the new value is persisted. This is not Cassandra specific.
Comment 2 Jirka Kremser 2013-07-31 09:42:24 EDT
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=0db28524a
time:    2013-07-31 15:09:45 +0200
commit:  0db28524acf4160725c7b0101b7d923903ea93b0
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 976827] - Description text area in General properties tab under
         Alerts -> Definition is not getting set to blank one it has
         been edited. Instead it displays the previous value that was
         stored - setting an empty string if
         descriptionField.getValue() == null
Comment 3 Simeon Pinder 2013-08-26 11:36:27 EDT
Moving to ON_QA as available for testing in latest 3.2.x ALPHA 58 build:

https://brewweb.devel.redhat.com//buildinfo?buildID=291947

Note You need to log in before you can comment on or make changes to this bug.